/*
** SellaNMS
** $Id: format_statement_then.h,v 1.4 2005/05/21 23:10:28 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

#ifndef __FORMAT_STATEMENT_THEN_H__
#define __FORMAT_STATEMENT_THEN_H__

#ifdef HAVE_CONFIG_H
	#include "config.h"
#endif

#include "then.h"

class FormatStatementThen: public Then {
	public:
		FormatStatementThen();
		FormatStatementThen(Then const &src);
		FormatStatementThen(FormatStatementThen const &src);
		virtual ~FormatStatementThen();
		virtual Then const& operator=(Then const &src);
		virtual FormatStatementThen const& operator=(FormatStatementThen const &src);

		virtual RESULT compile(ConfigNode *config);

		virtual RESULT clear();
		virtual RESULT print(unsigned long depth = 0);
};

#endif

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim600: fdm=marker
** vim: noet ts=3 sw=3 sts=3
*/
